@echo off
REM //////////////////////////////////////////////////////////////////////
REM Name:	test.bat
REM Purpose:	Test for input.exe
REM Author:	M Shaw
REM
REM Versions:
REM 1.00 07/Apr/2018	First version
REM
REM //////////////////////////////////////////////////////////////////////
REM Notes:
REM Can handle multi-word lines and successfully pass all tokens into the
REM local batch variable via FOR /F
REM Sets ENV var INPUT_STRING and stores in REG HKCU\Environment
REM Note that the local CMD shell ENV *cannot* be modified by a local EXE
REM //////////////////////////////////////////////////////////////////////

REM Clear ENV VAR...
SET INPUT_STRING=

REM input.exe will pump into registry but cmd ENV cannot be updated
input.exe "Enter: " /env /f:white /b:magenta /crlf /env /l:70

REM Fetch back from the registry and echo to local batch variable
FOR /F "tokens=*" %%i in ('input.exe /echo') DO SET INPUT_STRING=%%i
ECHO Env var HKCU\Environment\INPUT_STRING is '%INPUT_STRING%'


GOTO end

REM Dev ... (for reference)
REM FOR /F "tokens=3*" %%i in ('REG QUERY HKCU\Environment /v INPUT_STRING') DO SET INPUT_STRING=%%i
REM FOR /F "tokens=1-7" %%A IN ('REG QUERY HKLM\Environment /v INPUT_STRING 2^>NUL^| FIND /I "%VALUE%"') DO (
FOR /F "tokens=*" %%i in ('input.exe "ENTER: "') do SET INPUT=%%i

:end